package de.szut.casino.lootboxes;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class LootBoxController {
    private final LootBoxRepository lootBoxRepository;

    public LootBoxController(LootBoxRepository lootBoxRepository) {
        this.lootBoxRepository = lootBoxRepository;
    }

    @GetMapping("/lootboxes")
    public List<LootBoxEntity> getAllLootBoxes() {
        return lootBoxRepository.findAll();
    }
}
